Subject: bug#71370: 30.0.50; Please un-obsolete buffer-substring as a generalized variable

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Jun 2024 17:58:20 +0300

> Date: Wed, 5 Jun 2024 09:16:53 -0500
> Cc: [email-masked]
> From: Adam Porter <[email-masked]>
> 
> > I think it's too late to do this now, not without a very good
> > reason. Unless such a good reason emerges VSN, this will need to wait
> > till Emacs 31 at least.
> 
> That would mean years more of unnecessary compilation warnings' annoying
> users when they install packages that use this form.

Please also look at this from where I stand: if we keep adding
last-minute changes that no one tried for long enough time, we will
never start the Emacs 30 release cycle, because doing that with an
unstable master branch is a very bad idea, and delaying the branch is
the only way of knowing whether the master branch is okay after each
change.

So I must draw the line in the sand at some point (pun intended), and
I just did, a few weeks ago.